Subject: [regext] Comments on draft-ietf-regext-epp-fees

From: Chris Cowherd <[email-masked]>
Date: Fri, 15 Dec 2017 20:01:44 +0000

I've been out of the loop on this for quite a while.  Sorry for the
cross-post for those on the rr/rt techops list.

I looked through the current draft extension and it is pretty well thought
out.  You have all done good work here.  I only have a couple of comments.
Let me know if I missed a detail somewhere:

3.4 - Why doesn't the fee:credit element have an applied attribute like
fee:fee?  For instance, credits may not be applied until after the grace
period or some other period has elapsed.

Also in 3.4, the refundable attribute also could apply to fee:credits if
the credits were applied within a grace period and the domain name is
deleted within that time then the credit would be returned to the registry.
The attribute should almost be called "reversible".

It feels a little strange to me that domain:check is the only way to get
fee information versus domain:info but that's not a blocker for me.
-- 
Chris Cowherd, CTO Donuts Inc.